summaryrefslogtreecommitdiff
path: root/dev-python/python-linux-procfs
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/python-linux-procfs
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/python-linux-procfs')
-rw-r--r--dev-python/python-linux-procfs/Manifest2
-rw-r--r--dev-python/python-linux-procfs/metadata.xml8
-rw-r--r--dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild27
-rw-r--r--dev-python/python-linux-procfs/python-linux-procfs-0.7.4.ebuild23
4 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/python-linux-procfs/Manifest b/dev-python/python-linux-procfs/Manifest
new file mode 100644
index 000000000000..60dca0bff7ee
--- /dev/null
+++ b/dev-python/python-linux-procfs/Manifest
@@ -0,0 +1,2 @@
+DIST python-linux-procfs-0.7.3.tar.xz 11412 BLAKE2B 66c22261a3ab9fff68949e2e1e54a07ac5bc365d12e52b8149a02105e2ace85e22be38ec84fb1c97b3d4fec6392998d98252e11454a72135eacae770efa171ae SHA512 fbb4bd5b22ccafd6e8fed853f9bc175f9c7b5fc6795b9641a5e39404a96c1cdfdad7856fa89b3dc91ee9f13e3c76a23c79e3729fdfd7a10df1e46fdbb25aa631
+DIST python-linux-procfs-0.7.4.tar.xz 12880 BLAKE2B bbfb00b34dc58ce29816952ff90edca8e5a5363b85689396df086e4bbc2bcd238c0e54ba9d5ddcb735f650204042039ddec0820506221604e6fa85b5212de019 SHA512 99254aec2f205617391ed4d8833d8f20a1eaa6ef33042acbe4e19815976dca9cc3b41e00077fd4a51d15d8a0c83ea6934aa5fbd7bb1d9470c01b1811b0a54ea1
diff --git a/dev-python/python-linux-procfs/metadata.xml b/dev-python/python-linux-procfs/metadata.xml
new file mode 100644
index 000000000000..efd7c8c21836
--- /dev/null
+++ b/dev-python/python-linux-procfs/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild b/dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild
new file mode 100644
index 000000000000..93edd78302b6
--- /dev/null
+++ b/dev-python/python-linux-procfs/python-linux-procfs-0.7.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python classes to extract information from the Linux kernel /proc files"
+HOMEPAGE="
+ https://git.kernel.org/pub/scm/libs/python/python-linux-procfs/python-linux-procfs.git/
+"
+SRC_URI="https://cdn.kernel.org/pub/software/libs/python/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" ./bitmasklist_test.py || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/python-linux-procfs/python-linux-procfs-0.7.4.ebuild b/dev-python/python-linux-procfs/python-linux-procfs-0.7.4.ebuild
new file mode 100644
index 000000000000..b5e307cc1f7d
--- /dev/null
+++ b/dev-python/python-linux-procfs/python-linux-procfs-0.7.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python classes to extract information from the Linux kernel /proc files"
+HOMEPAGE="
+ https://git.kernel.org/pub/scm/libs/python/python-linux-procfs/python-linux-procfs.git/
+"
+SRC_URI="https://cdn.kernel.org/pub/software/libs/python/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64"
+
+python_test() {
+ "${EPYTHON}" ./bitmasklist_test.py || die "Tests failed with ${EPYTHON}"
+}